Extending Qt Creator Manual | FindInFiles

Extending Qt Creator Manual 4.3.0

# FindInFiles Class

(TextEditor::FindInFiles)

Inherits: | TextEditor::BaseFileFind

- List of all members, including inherited members

## Public Functions

| FindInFiles()
Utils::FileName | directory() const
void | setDirectory(const Utils::FileName &directory)

- 6 public functions inherited from TextEditor::BaseFileFind
- 12 public functions inherited from Core::IFindFilter

## Signals

void | pathChanged(const QString &directory)

- 3 signals inherited from Core::IFindFilter

## Static Public Members

void | findOnFileSystem(const QString &path)
FindInFiles * | instance()

- 1 static public member inherited from TextEditor::BaseFileFind
- 2 static public members inherited from Core::IFindFilter

### Additional Inherited Members

- 6 protected functions inherited from TextEditor::BaseFileFind
- 1 static protected member inherited from TextEditor::BaseFileFind

## Member Function Documentation

### FindInFiles::FindInFiles()

Default constructs an instance of FindInFiles.

### Utils::FileName FindInFiles::directory() const

See also setDirectory().

### `[static]` void FindInFiles::findOnFileSystem(const QString &path)

### `[static]` FindInFiles *FindInFiles::instance()

### `[signal]` void FindInFiles::pathChanged(const QString &directory)

### void FindInFiles::setDirectory(const Utils::FileName &directory)

See also directory().